Select to view content in your preferred language

Editing Parcel Fabric in an ArcGIS Enterprise environment

1250
5
Jump to solution
05-14-2022 04:16 PM
Valerie7
New Contributor II

We have an SDE version 10.8.1 on Oracle 19c server. Currently, we edit our parcel fabric using ArcMap 10.8.1.  

If we want to edit our Parcel Fabric using ArcGIS Pro 2.9,  we would have to migrate the ArcMap Parcel Fabric to a "Pro" Parcel Fabric  and we would also need to set up an ArcGIS server and a Portal for ArcGIS,  am I correct?  

Can we edit a Parcel Fabric stored in 10.8.1 SDE using ArcGIS Pro 2.9 ? or we would have to upgrade the SDE to a Pro version e.g. 10.8.1.2.9 ?  will the ArcMap clients still be able to access and edit their data in the SDE that has been upgraded to the Pro version?  

In summary,  can we edit a parcel fabric using one of the following options:

1) ArcGIS Pro 2.9,  ArcGIS Server 10.8.1,  Portal for ArcGIS 10.8.1,  SDE 10.8.1 on Oracle 19c ? 

2) ArcGIS Pro 2.9,  ArcGIS Server 10.9  Portal for ArcGIS 10.9,  SDE 10.8.1 on Oracle 19c ? 

 

Another question:

Can we use traditional versioning to edit parcel fabric directly in SDE using ArcGIS Pro ?

0 Kudos
1 Solution

Accepted Solutions
KenGalliher1
Esri Contributor

Hi Valerie,

 

Does Enterprise geodatabase follow the same version as ArcGIS enterprise?

Creating a new geodatabase or upgrading an existing, older geodatabase will set the geodatabase version to match the Enterprise version.

ArcGIS Pro does not force the GDB to be at the same release as the Enterprise but publishing the parcel fabric does. The geodatabase can be upgraded using ArcGIS Pro from the geodatabase properties page similar to ArcGIS Desktop.  

 

KenGalliher1_0-1652904470720.png

KenGalliher1_2-1652904680302.png

 

Regarding when to upgrade, as Amir mentioned, if you want to use ArcGIS Pro 2.9, you will need ArcGIS Enterprise 10.9.1.  If you cannot upgrade from your current 10.8.1, the parcel fabric will require you stay at Pro 2.6 as shown in the matrix.

Here is a suggested upgrade path:

1. Upgrade ArcGIS Enterprise to version 10.9.1
2. Install ArcGIS Pro 2.9
3. Upgrade the geodatabase that will contain the Pro parcel fabric to 10.9.1 or create a new geodatabase with Pro 2.9.
4. Migrate the ArcMap fabric into the 10.9.1 geodatabase.  This will create a "version 5" parcel fabric.

KenGalliher1_3-1652905778170.png

 

View solution in original post

5 Replies
AmirBar-Maor
Esri Regular Contributor

Hello Valerie,

The parcel fabric can be deployed for a single user using a file or mobile geodatabase or as enterprise deployment to support multiuser editing.

If you want to use ArcGIS Pro 2.9, you will need ArcGIS Enterprise 10.9.1 as this table shows:

AmirBarMaor_0-1652684683124.png

You can find more about it in this help link.

As for your DBMS compatibility - see this table.

Can an ArcMap client access Pro parcel fabric the data in SDE using direct connect? No.

Can an ArcMap client access the Pro parcel fabric feature services (view only)? Yes.

Amir

 

 

 

 

 

Valerie7
New Contributor II

Thanh you so much for your quick response.

I’m still not clear about Enterprise geodatabase compatibility.

Does Enterprise geodatabase follow the same version as ArcGIS enterprise?

Will I need to upgrade my Enterprise geodatabase to 10.9.1 as well? If so how do I upgrade it to 10.9.1?   From what I read ,  the 10.8.x series will be the final release series of ArcMap,  so there will be no ArcMap 10.9.x that I can use to upgrade my enterprise geodatabase.  

0 Kudos
KenGalliher1
Esri Contributor

Hi Valerie,

 

Does Enterprise geodatabase follow the same version as ArcGIS enterprise?

Creating a new geodatabase or upgrading an existing, older geodatabase will set the geodatabase version to match the Enterprise version.

ArcGIS Pro does not force the GDB to be at the same release as the Enterprise but publishing the parcel fabric does. The geodatabase can be upgraded using ArcGIS Pro from the geodatabase properties page similar to ArcGIS Desktop.  

 

KenGalliher1_0-1652904470720.png

KenGalliher1_2-1652904680302.png

 

Regarding when to upgrade, as Amir mentioned, if you want to use ArcGIS Pro 2.9, you will need ArcGIS Enterprise 10.9.1.  If you cannot upgrade from your current 10.8.1, the parcel fabric will require you stay at Pro 2.6 as shown in the matrix.

Here is a suggested upgrade path:

1. Upgrade ArcGIS Enterprise to version 10.9.1
2. Install ArcGIS Pro 2.9
3. Upgrade the geodatabase that will contain the Pro parcel fabric to 10.9.1 or create a new geodatabase with Pro 2.9.
4. Migrate the ArcMap fabric into the 10.9.1 geodatabase.  This will create a "version 5" parcel fabric.

KenGalliher1_3-1652905778170.png

 

Valerie7
New Contributor II

Thank you for taking the time to answer my questions, It really helped me out.

Valerie7
New Contributor II

Again, thanks to both Amir and Ken for providing me very helpful information.  Much appreciated!